/*
 * Window is an instance of your application. Any number
 * of these may be open while the application is in use.
 */
public class Window : Gtk.ApplicationWindow {
	public Window(Application app) {
		Object(application: app, title: "Search Giphy");
		this.show();
	}
}

/*
 * Application represents the global application state.
 * No matter how many windows the user has open, there
 * will only be one of these.
 */
public class Application : Gtk.Application {
	public Application() {
		Object(application_id: "com.damienradtke.giphy-searcher", flags: ApplicationFlags.FLAGS_NONE);
	}

	protected override void activate() {
		new Window(this);
	}
}

/*
 * Run the application when this executable is invoked.
 */
int main(string[] args) {
	return new Application().run(args);
}
